\documentclass[twoside,11.5pt,headinclude,bibliography=totocnumbered,parskip=half-]{scrartcl}

% select 1 if the doc should be formatted for printing (section starts on odd pages, blanks between table of contents and so on)
\def\printversion{0}


% Einstellungen für Schrift und Sprache
%\usepackage[ngerman]{babel}      % Sprachpaket
\usepackage[utf8]{inputenc}      % Zeichenkodierung UTF8
\usepackage{microtype}           % Paket für mikrotypographische Verbesserungen
\usepackage[T1]{fontenc}         % Schriftartpaket
\usepackage{lmodern}             % Schriftartpaket
\usepackage{textcomp}            % Paket für Textsymbole
\usepackage[font=footnotesize]{caption}
\usepackage{longtable}

%%%%%%%%%%%TITEL ERGÄNZEN%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\titleofprotocol}{Nd:YAG Laser and Second Harmonic Generation}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Allgemeine Layout-Einstellungen
\usepackage{geometry}            % Benutzerdefiniertes Einstellen der Seitenränder
\geometry{left=23mm,right=23mm,top=28mm,bottom=33mm, bindingoffset=0mm}
\setkomafont{captionlabel}{\sffamily\bfseries}
\setcapwidth{.9\textwidth}

% Einstellungen für Kopf- und Fußzeilen
\renewcommand{\sectionmark}[1]{\markboth{\thesection{}. #1}{}}
\renewcommand{\subsectionmark}[1]{\markright{\thesubsection{}. #1}}
\usepackage[headsepline,footsepline,plainfootsepline]{scrpage2}
\ohead[]{\scshape\leftmark}
\ihead[]{\rightmark}
\ofoot[\pagemark]{\pagemark}
\lofoot[\scshape\titleofprotocol]{\scshape\titleofprotocol}
\refoot[Thomas Rittmann]{Thomas Rittmann}
\pagestyle{scrheadings}
\setkomafont{pageheadfoot}{\normalfont}
%\bibliographystyle{unsrt}
\usepackage[font={small},labelfont=bf]{caption}
\captionsetup{
format=plain,
  figurename=Fig.,
  tablename=Table,
  labelsep=colon,
  figurewithin=section
}

% Einstellungen für die Matheumgebung
\usepackage{amssymb}             % Mathe-Paket
\usepackage{amsmath}             % Mathe-Paket
\usepackage{exscale}             % Paket zur Skalierung

% Weitere Pakete
\usepackage{color}               % Farb-Paket
\usepackage{enumitem}            % Listen-Paket
\usepackage{graphicx}            % Paket zur Graphik-Ausgabe
\usepackage[hyphens]{url}        % Paket für URLs
\usepackage{multirow}            % Paket zum vertikalen Verbinden von Zellen
\usepackage{rotating}            % Paket zum Drehen von Tabellen 
\usepackage{fixltx2e}            % Repariert einige Dinge bzgl. Float-Umgebungen
\usepackage{verbatim}		  % zum Auskommentieren
\usepackage[cleanup={.aux,.toc,.nav,.snm,.ps,.out,.log,.dvi,.tex}]{pstool}
\usepackage{lipsum}


% Pakete für Graphik-Positionierung
\usepackage{wrapfig}             % Paket zum Umfließen des Textes um Graphiken
\usepackage{subfigure}           % Paket für mehrere Abbildungen nebeneinander
\usepackage{ragged2e}            % Paket zur Absatzausrichtung (für sidecap benötigt)
\usepackage{float}               % Paket für zusätzliche Option zur Grafikpositionierung
\usepackage{floatflt}
% Paket für Verweise
\usepackage[hidelinks]{hyperref}


\usepackage[backend=bibtex,natbib=true,sorting=none,style=numeric-comp]{biblatex}
%sorting was nyt
\usepackage[babel]{csquotes}
\bibliography{literature}


% Benutzerdefinierte Befehle

\newcommand{\beq}{\begin{equation}}
\newcommand{\eeq}{\end{equation}}
\renewcommand{\d}{\text{d}}
\newcommand{\f}{\frac}
\renewcommand{\k}{\text{,}}
\renewcommand{\t}{\text}
\let\oldsection\section

\if\printversion1
\def\section{\cleardoublepage\oldsection}
\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%DOKUMENTBEGINN%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\setlength\parindent{1cm}



\begin{document}
	
	
\begin{titlepage}
	\centering
	\textsc{\Large Advanced Lab Course\\[1.5ex] Georg--August--Universität Göttingen}\\
	\vspace{1cm}
	\rule{\textwidth}{1pt}\\[0.5cm]
	{\LARGE \bfseries
	Report on Experiment BK.NLF\vspace{0.5cm}\\
	\huge
	Nd:YAG Laser and \vspace{0.3cm}\\Second Harmonic Generation}\\[0.5cm]
	\rule{\textwidth}{1pt}
	\vspace*{1.0cm}\\
	
	\begin{Large}\begin{tabular}{ll}
		Name: & Thomas Rittmann\vspace{0.5cm}\\
		Conducted with: & Felix Kurtz, Michael Lohmann\vspace{0.5cm}\\ 
		Tutor: & Vineesh Kappadan \vspace{0.5cm}\\ 
		E-Mail: & thomas.rittmann@stud.uni-goettingen.de\vspace{0.5cm}\\
		Date of experiment: &January 30, 2019 \vspace{0.5cm}\\
		Signature: &\rule[-0.05cm] {6cm}{0.2pt} \vspace{1.5cm}\\
		%Date of submission: &February 11, 2019 \vspace{0.5cm} \\
		Submission received: &\rule[-0.05cm] {6cm}{0.2pt} (tutor signature) \vspace{1cm}\\
	\end{tabular}\end{Large}
		
\begin{flushleft}
	\hspace{0.4cm}
\begin{minipage}{0.8\textwidth}	
	
	\begin{Large}\begin{tabular}{ll}
		Evaluated by:  &\rule[-0.05cm] {6cm}{0.2pt} \vspace{0.4cm}\\
		Date: &\rule[-0.05cm] {6cm}{0.2pt} \vspace{0.4cm}\\
		Points: &\rule[-0.05cm] {2cm}{0.2pt} \vspace{0.4cm}\\
		Grade: &\rule[-0.05cm] {2cm}{0.2pt} \vspace{0.4cm}\\
		Signature: & \rule[-0.05cm] {6cm}{0.2pt} \vspace{0.4cm}\\
\end{tabular}\end{Large}
\end{minipage}
\end{flushleft}
		


\end{titlepage}
\if\printversion1
\null\thispagestyle{empty}\newpage
\fi

\addtocontents{toc}{\protect\enlargethispage{4\baselineskip}}
\thispagestyle{empty}
\tableofcontents

\if\printversion1
\newpage \null\thispagestyle{empty}
\fi

\newpage
\pagenumbering{arabic} 
\setcounter{page}{1}

\section{Introduction}
	The laser -- an acronym for \textit{Light Amplification by Stimulated Emission of Radiation} -- was first realized as a working device by T.H. Maiman in 1960 \cite{Maiman1960}, after the underlying process of stimulated emission had already been theoretically considered by Einstein in 1916 \cite{Einstein1917} and the first \textit{maser} (for microwave radiation) had been built by Townes \textit{et al.} in 1954 \cite{Townes1954,Townes1955}. Following on the first pulsed ruby laser emitting at 694\,nm, a broad variety of such intense, coherent light sources was developed for a wide range of wavelengths. Using all different types of gain media in e.g. gas, solid-state or semiconductor lasers, they are now important devices in industry, communication, medicine and entertainment. Also, laser physics itself is still a field of intense and relevant research -- manifested last by the Nobel Prize in Physics 2018, which was awarded for ``groundbreaking inventions in the field of laser physics'' \cite{nobel2018}.
	
	
	The Nd:YAG laser was first developed in 1964 by Geusic \textit{et al.} \cite{Geusic1964} at Bell Laboratories after the first continuously (cw) operating solid-state laser was reported in 1961 using Nd:CaWO$_4$ \cite{Johnson1962}. It displayed the lowest cw lasing threshold at room temperature of any known host-dopant combination \cite{Koechner2006} and thus became the dominant work horse solid state laser until today. Often, its 1064\,nm light is frequency doubled by the nonlinear process of second harmonic generation resulting in green 532\,nm light -- a wavelength, where laser gain media are rare and typically less effective. Apart from the every-day application as laser pointers, such green lasers are for example used in RGB sources, in interferometers, for printing, in bioinstrumentation or for material processing. In fundamental physics research and particularly in the field of  Ultrafast Dynamics, it is also widespread as a pump laser for ultrafast Ti:Sa femtosecond laser systems. 
	
	In this experiment, a diode pumped Nd:YAG laser is built from basic optical components with hands-on alignment and optimization in order to gain an understanding of the fundamental laser components and its characteristics. The diode laser and the crystal properties are investigated before characterizing the whole laser in terms of laser threshold, pump-to-output dependency, transient dynamics and mode structure. Finally, a nonlinear KTP crystal is used to generate green light by second harmonic generation and likewise characterize this process. 
\newpage
\newpage
\section{Theoretical Background}
	% REMEMBER TO PUT IN PIC!
	While the key mechanism of the laser is already stated in its acronym (\textit{light amplification by stimulated emission of radiation}), it is a rather complex system, whose principles and characteristics are discussed as theoretical background for this experiment.	The two laser types used in this experiment, the Nd:YAG laser and its diode pump laser, are then considered in more detail, before finally the nonlinear process of second harmonic generation is introduced. Beyond the explanation the main principles, this theoretical chapter will also include certain more specific phenomena, which are observed in the experiment, in order to allow for a comparison between measurement and theory. 


	\subsection{Laser Principle}
		For building a laser, three essential components are required: An active laser medium, which stores energy for light amplification, a pump, which delivers energy to the system, and a resonator, which feeds emitted light back into the active medium for further coherent amplification. Here, the processes in the active medium are described first, leading to the derivation of the stationary and transient lasing behavior. Subsequently, resonator properties and the  resulting mode structure of the laser light are discussed. 
		
		\subsubsection{Einstein Coefficients and Population Inversion}
				
				\begin{floatingfigure}[r]{0.46\textwidth}
					\hfill
				\begin{minipage}{0.43\textwidth}
				\begin{footnotesize}
					% absorption experimental
					\vspace{-0.5cm}
					\begin{flushright}
						\captionsetup{width=\textwidth}
						\includegraphics[width=\textwidth]{figures/einstein_fig.png}
						\vspace{-0.2cm}
						\caption{The relevant processes of light-matter interaction, adapted from \cite{lauterborn_coherent_2003}.}
						\label{fig:laser_fixpoints}
						\vspace{4cm}
					\end{flushright}
				\end{footnotesize}
				\end{minipage}
			\end{floatingfigure}
			The relevant light-matter interaction within the active medium can be described by three fundamental transition processes as introduced by Einstein in 1916  \cite{Einstein1917}. They exhibit different probabilities called Einstein coefficients:
			
			\textbf{Absorption\quad}
				A model atom with two energy levels, an excited state $E_1$ and a ground state $E_2$, can absorb an incident photon with the energy $\hbar\omega=\Delta E=E_2-E_1$, resulting in the transition of an electron from the ground state to the excited state. The corresponding transition probability is usually expressed by the Einstein coefficient $B_{12}$ and here denoted as $W$. 
				
			\textbf{Spontaneous Emission\quad}
				An electron in the excited state can spontaneously decay into the ground state and emit a photon with the energy $\Delta E$ into a random direction. This is fundamentally a quantum process, only explained in the framework of quantum electrodynamics. Its transition probability is given by the Einstein coefficient $A_{21}$, here denoted as $W_s$.  
				
			\textbf{Stimulated Emission\quad}
				If an atom with a populated excited state is irradiated by a photon, whose energy equals $\Delta E$, the probability for a transition to the ground state is increased, leading to a \textit{stimulated} emission at that energy. The underlying quantum mechanical perturbation theory shows that this process only differs from absorption in terms of initial conditions, so that the transition probabilities are equal  for both processes ($W=B_{12}=B_{21}$). Since the irradiating and the newly emitted photon leave the atom with identical properties (energy, phase, polarization and impulse), this process can be used for amplification with very high coherence, which is the key concept of a laser. 
				
				For a net amplification, i.e. an increase in photon numbers, the excited state must have a higher population than the ground state, since the transition probabilites are equal for absorption and stimulated emission. However, this \textit{population inversion} cannot be achieved in a two-level system, so that systems with three or more levels have to be used. In a \textit{three-level system}, a pump action excites electrons from the ground state into a higher pump level $E_3$. If these electrons can relax (non-radiatively) into $E_2$ with a  lifetime $\tau_{32}$ that is significantly shorter than the lifetime $\tau_{21}$ of the upper laser level, population inversion between $E_2$ and $E_1$ can be achieved. The inversion would be even larger, if the lower level was almost empty. This can be achieved with a \textit{four-level system}, where the additional level serves as the lower laser level and is almost empty due to a short lifetime for relaxation into the ground state. 
				
		\subsubsection{Rate Equations}
			With some idealizations, so-called rate equations can be derived, which describe a three-level-laser in a simple theoretical model. Therein, the pump level $E_3$ is assumed to have such a negligibly short lifetime that all electrons excited to this level immediately decay to the upper laser level. Thus, the total number of electrons in the system is given by $N=N_1+N_2$, where $N_1$ and $N_2$ denote the populations of the respective laser levels.
			 Since $N$ is a conserved quantity, the system can be sufficiently described by just two balance equations. The first one describes the temporal change of the total numbers of photons $Q$ in the resonator (the `intensity equation') and the second one the population of one of the levels, e.g. $N_2$ (`the matter equation'):
			\begin{align}
				\frac{\d Q}{\d t}&= \underbrace{-\,\gamma Q}_{\text{prop.\,losses}} -\underbrace{ W N_1 Q}_{\text{absorption}} +\underbrace{ W N_2 Q}_{\text{stim.\,emission}}+\underbrace{W_{\text{sm}}N_2}_{\text{spont.\,emission}}\\
				\frac{\d N_2}{\d t} &= \underbrace{-W_{21}N_2}_{\text{decay}}+\underbrace{W N_1 Q}_{\text{absorption}}-\underbrace{W N_2 Q}_{\text{stim.\,emission}}+\underbrace{W_{12}N_1}_{\text{pump}}
			\end{align} 
			Therein, the decay constant $\gamma$ describes the damping during the propagation of photons in the resonator, which includes all losses due to scattering, diffraction and the output through the partly transmissive mirror. $W$ denotes the transition rate for both absorption and stimulated emission, $W_{sm}$ the  transition rate for the fraction of the (nondirectional) spontaneous emission that yields photons of the resonator mode, $W_{21}$ the transition rate from the upper laser level to the ground state by both spontaneous emission and radiationless relaxation processes, and $W_{12}$ the transition rate from the ground state to the upper laser level induced by the pump (all normalized).
			
			
			As a simplification, the comparably small term $W_{\text{sm}}N_2$ for spontaneous emission into the laser mode can be neglected for the laser operation, even though it should be noted that it is a necessary perturbation for the start of the laser, as it is the only term in $\d Q/\d t$, which is independent of $Q$.
			Written in terms of the population difference $N_d=N_2-N_1$, an effective pump term $P=(W_{12}-W_{21})N$ and the decay constant of the population difference $\alpha=W_{12}+W_{21}$, that yields
			\begin{align}
				\frac{\d Q}{\d t}&= -\gamma Q + W Q N_\text{d}\\
				\frac{\d N_\text{d}}{\d t} &= P - \alpha N_d -2WQN_d.
			\end{align} 
			Note, that the decay constant $\alpha$ is no material parameter here, due to the contribution of the pump $W_{12}$. Further simplification is obtained by the normalizations
			$$
			q=\frac{W}{\gamma}Q, \qquad n=\frac{W}{\gamma}N_d, \qquad p=\frac{W}{\gamma^2}P, \qquad b=\frac{\alpha}{\gamma}, \qquad (\dot{ })=\frac{1}{\gamma}\frac{\d ()}{\d t},
			$$
			leading to the simplest form of the rate equations for the three-level laser
			\begin{align}
				\dot{q}&=-q + nq\\
				\dot{n}&=p-bn-2nq \qquad\qquad \text{(three-level laser)},
				\label{eq:rate_eq}
			\end{align}
			with the normalized parameters for the photon number $q$, the population inversion $n$, the pump rate $p$ and the inversion decay rate $b$. 
			\\For an ideal four-level laser, where the lower laser level is assumed to have a very short lifetime and thus a population of zero, only the pre-factor of the term for stimulated emission in the matter equation differs:
			\begin{align}
				\dot{n}&=p-bn-nq \qquad\qquad \text{(four-level laser)}.
			\end{align}			
		\subsubsection{Stable Stationary Solutions}
			\label{sec:stationary}
			\begin{floatingfigure}[r]{0.4\textwidth}
				\begin{footnotesize}
					% absorption experimental
					\vspace{-0.4cm}
					\begin{flushright}
					\captionsetup{width=0.37\textwidth}
					\includegraphics[width=0.37\textwidth]{figures/rate_eq_stability.png}
					\vspace{-0.2cm}
					\caption{Sketch of stable stationary solutions of the rate equations for $q$ and $n$ as function of pump strength $p$.}
					\label{fig:laser_fixpoints}
					\vspace{-0.7cm}
					\end{flushright}
				\end{footnotesize}
			\end{floatingfigure}
			The stationary solutions of this set of nonlinear ordinary differential equations are found straight-forwardly by determining its fix points, whose stability can be analyzed by calculating the Jacobian of the system at these points:
			\begin{align}
				&\left(q,n\right)^*_1 \;= \left(0,\;p/b\right)\qquad &(\text{stable for p<b}) \label{eq:sol1}\\
				&\left(q,n\right)^*_2 = \left(p-b,\;1\right)\qquad &(\text{stable for p>b})
				\label{eq:sol2}
			\end{align}
			As depicted in Figure \ref{fig:laser_fixpoints}, for pump strengths below $b$, the stable solution yields a zero photon number (zero output intensity) and a population inversion that increases linearly with the pump strength. At $p=b$, which is identified as the laser threshold, the system undergoes a transcritical bifurcation, so that the second solution becomes stable for $p>b$. This yields a constant population inversion (gain), while the output intensity increases linearly with the pump strength exceeding the laser threshold. Below the threshold, the pump power is used for building up the population inversion; above the threshold, it is transferred into photons, i.e.\ output power. 
			
		\subsubsection{Laser Spiking - Transient Dynamics Simulations}
			\label{sec:spiking_theory}
			Before settling to the stationary solutions (Eqs. \ref{eq:sol1},\ref{eq:sol2}), the system follows a more complicated transient dynamics. After switching on the pump with a strength above the threshold, the population inversion (i.e. gain) rises and exceeds the steady-state value. The photon number in the cavity increases, depleting the gain below the steady-state value, and so on. This leads to spikes, whose output powers can be orders of magnitude larger than the steady-state power. After several strong peaks, the amplitude of the spikes decreases and the system approaches the steady-state solution (and thus continuous-wave lasing) via relaxation oscillations.
			
			A linearization approach around the steady-state solutions for the four-level laser gives estimates for the scaling behavior of the decay rate $\gamma_{\text{re}}$ and  the frequency $\omega_{\text{re}}$ of the relaxation oscillations with the normalized pump rate $\rho=p/b$ relative to the threshold \cite{Meschede2008}:
			\begin{align}
			\gamma_{\t{re}} & \sim b \rho /2  \label{eq:spiking_gamma}\\
			\omega_{\t{re}} & \sim \sqrt{b (\rho-1) - (\rho/2)^2}\label{eq:spiking_omega}
			\end{align}
			
			Even though this approach is based on small deviations from the stationary solution, these dependencies prove to be a good estimate for the whole spiking process after turning on the laser. For visualization, a numerical simulation was conducted by iteratively solving the differential equations with the MATLAB ode45 solver. The results for two different decay rates of the upper laser level ($b=0.001$ and $b=0.05$) and three different relative pump rates each ($p=2b$, $p=4b$ and $p=8b$) are shown in Figure \ref{fig:spiking_simu}. 
			
			\begin{figure}[h!]
				\begin{center}
					\begin{footnotesize}
						\includegraphics[width=0.95\textwidth]{figures/spiking_simu.pdf}
						\captionsetup{width=0.95\textwidth}
						\caption{Numerical simulation of the transient spiking behavior by dynamically solving the rate equations (Eq. \ref{eq:rate_eq}) with MATLAB ode45 solver. The (output) photon number $q$ (blue) and the population inversion $n$ (orange) are shown for two different decay rates of the upper laser level ($b=0.001$ left and $b=0.05$ right) and three different pump rates $p$ ($2b$, $4b$, $8b$ from top to bottom). }
						\label{fig:spiking_simu}
					\end{footnotesize}
				\end{center}
			\end{figure}
			The values for the decay time (obtained by an exponential fit to the oscillation maxima) and the oscillation period (for later times) match the analytical estimates from Eqs. \ref{eq:spiking_gamma}, \ref{eq:spiking_omega} well.\\
			These dependencies imply that spiking is longer and thus a more dominant effect if the pump power is close to the threshold and if the decay rate of the population inversion is small. The latter is especially the case for solid-state lasers like the Nd:YAG laser used here, where the upper laser level has a comparably long life time of about $\tau=240$\,µs. In contrast, spiking is not a significant phenomenon in gas lasers due to the short lifetimes like 100\,ns for the upper laser level of a HeNe laser \cite{Renk2012}. 
		
		\subsubsection{Longitudinal Resonator Modes}
				To achieve self amplification, constructive interference has to take place in a Fabry-P\'{e}rot cavity, so that longitudinal modes with wavelength $\lambda_n$ (frequency $\nu_n$) have to fulfill the standing wave condition for the resonator length $L$:
				\begin{equation}
					L=\frac{\lambda_n}{2}n \quad \Leftrightarrow \quad \nu_n=\frac{c}{2L} n, \quad n\in \mathbb{N}.
				\end{equation}
				That allows a comb of modes, whose frequency spacing $\Delta \nu$ is called the \textit{free spectral range (FSR)}:
				\begin{equation}
					\Delta \nu = \nu_{n+1}-\nu_n =\frac{c}{2L}
				\end{equation}
				In principle, many of these modes can lie inside the spectral range of the gain profile of the active medium. For example, a Nd:YAG laser has a typical gain bandwith of $\delta \lambda = 0.34$\,nm around $\lambda_0=1064$\,nm, which corresponds to $\delta \nu= 90$\,GHz. In a typical cavity with $L=5$\,cm the FSR is $\Delta\nu=3$\,GHz, that would include 30 modes.\\
				However, the number of actual oscillating modes depends on the type of the gain profile broadening.\\
				\begin{figure}[h!]
					\begin{center}
						\begin{footnotesize}
							\includegraphics[width=0.96\textwidth]{figures/broadening.pdf}
							\captionsetup{width=0.94\textwidth}
							\caption{Scheme of homogenous (left) and inhomogenous (right) gain profile broadening and the resulting lasing resonator modes. Adapted from \cite{yag_manual}.}
							\label{fig:longi_modes}
						\end{footnotesize}
					\end{center}
				\end{figure}
				
				In case of \textbf{homogenous broadening}, all radiating or absorbing atoms are equally effected by the emission broadening, for example due to the natural linewidth, or (in Nd:YAG) phonon interactions in a crystal, which are equal for all ions.
				Here, the population inversion is just built up until the threshold is reached and the excess pump energy is converted into photons, as seen in section \ref{sec:stationary}. So the gain just reaches the value where losses are compensated. In Figure \ref{fig:longi_modes}a that corresponds to a horizontal tangent to the maximum of the gain profile, which means that just the mode closest to the maximum would oscillate by using all the inversion in a ``winner takes it all'' manner (single-mode operation).\\
				\textbf{Inhomogenous broadening} in contrast is caused by atoms, which all behave differently, for example in a gas laser due to different velocities according to the Maxwell-Boltzmann distribution or in a Nd:YAG laser due to different relative position of the Nd$^{3+}$ ions. Here, different groups of atoms represent different gain profiles leading to an overall broadened inhomogenous profile (Figure \ref{fig:longi_modes}b), so that multiple modes are able to oscillate (multi-mode operation).\\
				The gain profile of a Nd:YAG laser is mainly homogenous, but also has smaller inhomogenous parts, which causes multi-mode operation.
			
			\subsubsection{Transversal Modes}
				\label{sec:transverse_modes}
				\begin{floatingfigure}[r]{0.45\textwidth}
					\begin{footnotesize}
						% absorption experimental
						\vspace{-0.6cm}
						\begin{flushright}
						\includegraphics[width=0.43\textwidth]{figures/transverse_modes_edit.png}
						\captionsetup{width=0.43\textwidth}
						\caption{Spherical resonator with fundamental mode TEM$_{\text{00}}$ (top) and transverse mode TEM$_{\text{01}}$ (bottom). Adapted from \cite{yag_manual}.}
						\vspace{-0.5cm}
						\label{fig:transverse_modes}	
						\end{flushright}	
					\end{footnotesize}
				\end{floatingfigure}
				
				In addition to the simple case of two plane parallel mirrors, the cavity can also be built with spherical mirrors, which yield advantageous alignment properties. These mirrors, however, allow for multiple different mode structures, which all have the correct curvature at the position of the mirrors without necessarily being rotational symmetric (Figure \ref{fig:transverse_modes}). These \textit{T}ransversal \textit{E}lectromagnetic \textit{M}odes are designated with the notation TEM$_{\text{mn}}$, where $m$ and $n$ denote the number of appearing intensity maxima (minus one) along the x- and y-axis, respectively. 
				
				In practice, the hemispherical resonator (one plane and one spherical mirror, as used in this experiment) has become popular for small to medium laser powers (1-200\,mW) due to the combination of desired mode characteristics and alignment advantages. This resonator is stable, i.e. the light field stays confined inside the resonator (does not diverge across mirror edges) for an arbitrary number of reflections, if the resonator length $L$ is smaller than or equal to the curvature radius $R$ of the spherical mirror \cite{Lange1994}. 
				\newpage
		\subsection{Laser Types}
			In this experiment, a Nd:YAG laser is built with a laser diode used as the pump source. Thus, both laser types are discussed with respect to their experimentally relevant properties. 
			\subsubsection {The Nd:YAG Laser}
				\label{sec:ndyag_theory}
				The active medium of a Nd:YAG laser consists of an Yttrium aluminium garnate (Y$_3$Al$_5$O$_{12}$, `YAG'), lattice, where the Yttrium is replaced by Neodymium with a doping level of 1-2 at.\%. In addition to the good replacability of Y by rare earth ions, YAG has several advantageous properties as a host lattice, since it is a  hard and stable cubic crystal, that offers a good heat conduction and has glass-like optical quality. The energy levels relevant for lasing are governed by the Nd$^{3+}$ ions in [Xe]4f$^{3}$ configuration, whose different states (as depicted in Figure \ref{fig:nd_yag_levels}) are determined by the three electrons in the 4f-orbital.
				\begin{floatingfigure}[r]{0.35\textwidth}
					\begin{footnotesize}
						% absorption experimental
						\vspace{-0.9cm}
						\begin{flushright}
							\includegraphics[width=0.33\textwidth]{figures/nd_yag_transitions.jpg}
							\captionsetup{width=0.33\textwidth}
							\vspace{-0.3cm}
							\caption{Laser transitions in Nd lasers. \cite{Meschede2008}}
							\vspace{-0.5cm}
							\label{fig:nd_yag_levels}	
						\end{flushright}	
					\end{footnotesize}
				\end{floatingfigure}
				
				
				 Therein, the fine structure splitting plays an important role and also the $m_j$ degeneracy is lifted due to the surrounding crystal field, so that the fine structure levels are further split into Stark components.	\\
				The system shows a high absorption cross section for the transition from the $^4I_{9/2}$ ground state to the $^4F_{5/2}$ state, which corresponds to an infrared wavelength of 808\,nm, easily achievable with a laser diode (the whole absorption spectrum is shown later in \ref{fig:absorption_literature} as comparison to the experimental findings). Likewise, it offers strong fluorescence from $^4F_{3/2}$ to the $^4I_{11/2}$ level. The dominant transition between two Stark components of these levels occurs at 1064\,nm with a comparably long lifetime of 240\,µs \cite{Meschede2008}.
				
				The non-radiating transitions from the pump level to the upper laser level and from the lower laser level to the ground state are very fast. Additionally, the lower laser level is high enough above the ground state to be almost empty, so that all conditions for a four-level laser are fulfilled. 
				
					
			
			\subsubsection {Semiconductor Laser / Laser Diode}
				\label{sec:laserdiode}
				Laser diodes are based on semiconductors with a direct band gap, which is usually Al$_\text{x}$Ga$_\text{1-x}$As, due to its band gap in the useful regime of 720 - 850 nm (tunable by mixing ratio, \cite{rp_photonics}). 
				The pump action is directly achieved by the forward injection current, which generates a high carrier density at a pn-junction. There, radiative electron-hole combination yields (stimulated) emission. 
				
				\begin{floatingfigure}[r]{0.5\textwidth}
					\begin{footnotesize}
						% absorption experimental
						\vspace{-0.6cm}
						\begin{flushright}
							\includegraphics[width=0.50\textwidth]{figures/laser_diode_hetero.jpg}
							\captionsetup{width=0.48\textwidth}
							\caption{GaAlAs semiconductor laser with double heterojunction and single stripe geometry \cite{Kasap2013}.}
							\vspace{-0.5cm}
							\label{fig:laser_diode}	
						\end{flushright}	
					\end{footnotesize}
				\end{floatingfigure}
			
				Inversion is achieved if the difference of the Fermi energies of electrons ($\epsilon_L$) and holes ($\epsilon_V$) is larger than the bandgap: 
				$$
				\epsilon_L-\epsilon_V > E_g
				$$
				For the example of GaAs, that corresponds to a critical carrier concentration of $n_{el}=n_{h}=10^{18} \text{cm}^{-3}$. The necessary current density follows as 
				$$
				j=\frac{n_{\text{el}}\,e\,d}{\tau_{\text{rec}}},
				$$ 
				where $\tau_{\text{el}}$ denotes the recombination (decay) time and $d$ the width of the depletion region. 
				
				
				Hence, it is advantageous to further confine the diffusion region of the carriers, which leads to the use of hetero structures, as depicted in Figure \ref{fig:laser_diode}. In these devices, the optical field propagates along the junction area, so that the mode is geometrically defined by a waveguide-like structure. The cavity is either formed by the end surfaces of the semiconductor crystal itself, since they exhibit a high degree of reflection due to the high refractive index, or can be improved by additional coating. In most configurations (except for surface emitters), the light leaves the device at an edge of the narrow active zone (`edge emission'), which leads to an elliptical (and sometimes nearly rectangular) beam profile, which -- also in this experiment -- has to be collimated with additional optics. \\
				
			 	Another important characteristics for this experiment is the fact, that the band gap and thus also the emission wavelength is (to the first order) linearly temperature dependent with a shift of about 0.25 to 0.3\,nm/K \cite{yag_manual}. Additionally, the wavelength changes with the injection current, %(0.05\,nm/mA)
			 	since the refractive index and thus the optical length of the resonator is dependent on the carrier density. Since also the output power is temperature dependent, all relevant parameters should be continuously monitored. In commercial products this is handled by an integrated photo diode inside the laser diode housing for active stabilization. 
			 	
			 	
		\subsection{Second Harmonic Generation}
			Since a wavelength in the visible spectrum is desirable for many applications and experiments, the 1064\,nm light of a Nd:YAG laser is often frequency doubled to the green 532\,nm by the nonlinear effect of second harmonic generation like in this experiment.
			Nonlinear optical effects arise for high intensities, where the  polarization response $\vec{P}$ of a dielectric to an incident light field $\vec{E}$ cannot be approximated linearly anymore but is described with an expansion of the form
			\begin{equation}
				\vec{P}(t)=\epsilon_0 \cdot \left[ \chi^{(1)} \vec{E}(t) + \chi^{(2)}\vec{E}(t)^2 + \dots \right]
				\label{eq:polariz},
			\end{equation}
			where $\chi^{(n)}$ is the susceptibility of the n-th order\footnote{generally a tensor, but handled as scalar here for visualization purposes}. The second order term gives rise to a variety of three-wave-mixing processes, such as optical rectification, sum frequency generation or difference frequency generation.		
			The processes of optical rectification and second harmonic generation (as the easiest case of sum frequency generation) can take place with a monochromatic incident field and are easily visualized by substituting $\vec{E}=\vec{A} \cos\left(\omega t\right)$ into Eq. \ref{eq:polariz} 
			\begin{equation}
				\vec{P}(t)=\epsilon_0 \cdot \left[ \chi^{(1)} \vec{A}\cos\left(\omega t\right) + \frac{1}{2}\chi^{(2)}\vec{A}^2\left(1+\cos\left(2\omega t\right)\right)\right]
			\end{equation}
			
			While the conversion process from fundamental to second harmonic can be rigorously described with coupled wave equations \cite{New2011}, the major important part in efficiency optimization comes down to phase matching. Due to the wavelength dependency of the refractive index, a phase velocity difference between the generated second harmonic and the fundamental occurs, which eventually leads to destructive interference and limits the coherence length to
			\begin{equation}
				L_{\text{coh}}=\frac{\pi}{|\Delta k|} = \frac{\pi}{|\Delta k|} = \frac{\lambda}{4|n_2-n_1|}.
			\end{equation}
			This can for example be overcome by \textit{birefringent phase matching}, which uses a particular propagation direction in a birefringent crystal, in which the refractive indices for both waves are equal. In the \textit{quasi phase matching} method, crystal slabs of opposite orientation are stacked on each other with 2 $L_{\text{coh}}$ periodicity, so that the phase difference never exceeds $\pi$.
			
			In order to display a significant $\chi^{(2)}$ component, the crystal of choice must lack inversion symmetry, since a second order term implies a preferential direction of the polarization. 
			Moreover, materials used for second harmonic generation have to be thermally stable and well transparent for both wavelengths. Exemplary materials fulfilling these conditions are BBO (beta barium borate), LBO (lithium triborate) or KTP (potassium titanyl phosphate), which is used in this experiment. 
				
		% in solid state lasers lifetime of the upper level longer than cavity dumping time (work times nicely into equations), in opposite to gas lasers, where no spiking would be observed...
		% class B regime
		% damping time inverse proportional to pump power
		% relaxation oscillation frequency scales with the square root of the pump power (for later times, not for spikes at beginning	)
		%what role does b have in terms of upper level lifetime?
		% square root dependency and linear dependency just holds for pump powers much higher than b (for small b, where p has to be incr.)


\newpage
\section{Experimental Setup and Methods}
	The main goal of this experiment is to build and characterize a Nd:YAG laser both with and without second harmonic generation. In the process, single components are characterized and optimized before reaching the complete setup as shown in Figure \ref{fig:setup}. Before detailing the methods of the single characterization steps, the fully assembled setup is described in the following. 

	\subsection{Setup}
		All optical elements of this setup are placed on an optical bench in centered mounts. The light from a laser diode unit (A), which is powered by an external control unit, is first collimated by a lens (B) with a focal length of f=6\,cm and then focussed by a second lens (C) with the same focal length. The Nd:YAG crystal (D), whose front side also serves as a dielectric mirror for 1064\,nm is placed in the focus. For laser action, a second dielectric mirror (E$_1$) with 2\,\% transmittance serves as the outcoupling mirror of the cavity. % curvature
		 For second harmonic generation, this mirror is replaced by one with lowest possible transmittance of 0.2\,\% for 1064\,nm (E$_2$), and a KTP crystal (H) is placed inside the cavity close to the Nd:YAG crystal and thus near the beam focus. The cavity is followed by a filter holder (F), which is equipped with either a long pass filter (\textit{Schott RG1000}) or a (short) band pass filter (\textit{Schott BG39}) to transmit either only the Nd:YAG laser light of 1064\,nm or only the green SHG light of 532\,nm.
		 For intensity measurements, a photodiode (G$_1$) is used, which is after amplification connected to an A/D converter with a digital display and optionally to an oscilloscope. Additionally a calibrated power meter head\footnote{Thorlabs S121C Photodiode Power Sensor} (G$_2$) was used to obtain absolutes values for the laser power. 
		 
		\begin{figure}[h!]
			\begin{footnotesize}
				\begin{center}
					\includegraphics[width=15cm]{figures/setup_schematic.png}\\
					\vspace{0.5cm}
					\includegraphics[width=15cm]{figures/setup.jpg}
					\captionsetup{width=15cm}
					\caption{Experimental setup of the Nd:YAG laser with all components for second harmonic generation: Scheme (top) and photo of the actual experimental setup (bottom)}
					\label{fig:setup}
				\end{center}
			\end{footnotesize}
		\end{figure}
	
		In this setup, the mounts of both cavity mirrors allow for tilt adjustments in both axes, while the horizontal and vertical position is fixed. The mount of the SHG crystal moreover allows to adjust all 4 degrees of freedom. The laser diode can be shifted in x and y as well in order to align the beam most parallel to the optical bench and through all lenses.   
		
	\subsection{Laser Diode Characterization}
		The photo diode, that is used for pumping the Nd:YAG laser, is connected to an external power supply, which allows for tuning the injection current up to 590\,mA, and controlling it with a digital display offering 0.1\,mA resolution. Also the diode temperature can be controlled from about 5\,\textdegree C to 44\,\textdegree C and is read out with 0.1\,\textdegree C resolution.
			
		For characterization of the laser diode, it is first aligned in such way that the beam is parallel to the optical bench and at constant height by using a mounted cross hair in place of the photodiode. The beam profile is found to be elliptical and almost rectangular, as expected from section \ref{sec:laserdiode} for a typical laser diode. The collimator lens is then inserted and aligned by slightly moving it back and forth while checking the spot size at various distances. Since the lens mount is fixed both in tilt and translation, the laser diode position is further aligned by aiming at the crosshair with a collimated or slightly focused beam. 
		The output power is then measured with the photodiode as a function of the injection current in steps of 20\,mA, while the amplification is set to the lowest value. 
		
		Due to an unknown calibration factor and spectral sensitivity of the photodiode we decided to use a calibrated Thorlabs power meter head instead of the photodiode in following measurements. This way, we could obtain absolute values for the achieved laser power and true conversion efficiency values, which would have otherwise been convolved with the spectral sensitivity of the photodiode. To obtain the absolute values for the measurements done with the photo diode (laser diode characterization and absorption measurements), we performed calibration measurements, which also ensured linearity. 
		
	\subsection{Nd:YAG Crystal Characterization}
		For the following measurements, the focussing lens is placed behind the collimator and the focus position is -- in addition to marking the expected distance -- determined with an IR detector card. The Nd:YAG crystal is then put directly in the focus. 
		
		\subsubsection{Absorption Spectrum}
			\label{sec:absoprtion_spec}
			For obtaining an absorption spectrum of the Nd:YAG crystal, the transmission is measured with the photodiode directly behind the crystal while the wavelength of the incident light is varied. This is done by changing the temperature of the laser diode at a fixed current as explained in section \ref{sec:laserdiode}. A wide range measurement from 5\,\textdegree C to 44\,\textdegree C is performed at a diode current of 550\,mA (the intended operating current for pumping). The temperature is increased in steps of 1\,\textdegree C up to 35\,\textdegree C and in smaller steps of 0.5\,\textdegree C for higher temperatures, since that range manifests as the region of interest around the absorption maximum.
			After each temperature step, the thermalization lasts several seconds, so that the values are not noted until a equilibrium, i.e. a stable output, is reached.
			Since the wavelength is additionally dependent on the injection current (Section \ref{sec:laserdiode}), the optimal temperature setpoint (i.e. the absorption maximum) varies for different currents. One way to obtain this temperature-current dependency is to measure the absorption spectra for different currents and determine the resulting shift. Thus, the absorption measurement is repeated for currents of 250\,mA and 400\,mA within the temperature region of interest.
		
		\subsubsection{Fluorescence Lifetime}
			\label{sec:fluorescence}
			With the pump laser diode current set to 550\,mA and its temperature set to the absorption maximum found in the last measurement, the fluorescence of the Nd:YAG crystal at 1064\,nm is measured with the long pass filter placed in front of the photo diode. The lifetime of the upper level is investigated by operating the diode laser in pulsed mode, which modulates the injection current as square pulses with a frequency of around 122\,Hz. The photodiode signal is plotted on the oscilloscope and triggered by a TTL signal with the modulation frequency. Both the decay at the falling edge and the delayed turn-on at the rising edge of the modulation are characterized by measuring the voltage at time steps of 50 to 80 µs with the oscilloscope cursor. 
			
	\subsection {Nd:YAG Laser Operation}
		\label{sec:laser_character}
		Since the first mirror is already attached to the Nd:YAG crystal, the cavity needed for laser operation is completed by the outcoupling mirror (E$_1$), which is placed at approximately 8\,cm distance. This is the smallest possible cavity length which offers enough space for the KTP crystal mount later and still fulfills the stability condition of a hemispherical resonator (see section \ref{sec:transverse_modes}), which requires the resonator length to be smaller than the curvature radius of the spherical mirror (10\,cm). To align the system for stable laser operation, the photodiode is placed behind the cavity and the long pass filter. Its signal is not only monitored on the digital display, but also on the oscilloscope with the most sensitive setting in order to identify small spikes of fluorescence light before the start of laser operation.
		After adjusting all optical elements, lasing is finally achieved by strong tilt adjustments of the outcoupling mirror, which appears to be the most sensitive element.
		The output power is then optimized by iteratively aligning the cavity mirrors, the position of the focusing lens and the laser diode position. 
		
		\paragraph{Pump - Power characteristics}
			For determining the characteristic output power vs. pump current dependency and the laser threshold, the photodiode is replaced by the calibrated power meter head. The output power is then measured for varying injection currents of the pump diode, starting at 590\,mA and decreasing in steps of 20\,mA until the laser threshold is reached around 200\,mA. For each current, the temperature is adjusted for optimized output power, compensating the current dependent wavelength shift. The respective temperature values are noted in order to determine the current-temperature dependency with a second method in addition to the absorption spectrum shift in \ref{sec:absoprtion_spec}. 
		
		\paragraph{Spectral Pump Efficiency}
			Since the output power depends on the pump efficiency, the spectral dependency should be comparable with the absorption spectrum from \ref{sec:absoprtion_spec}. This is measured by varying the temperature for a fixed current of 550\,mA. Here, the step size is 2\,\textdegree C from 7\,\textdegree C to 35\,\textdegree C and 0.5\,\textdegree C from 35\,\textdegree C to 45\,\textdegree C.
		
		\paragraph{Spiking Behavior}
			The dynamics of the laser output directly after turning on the pump action is expected to show spiking and relaxation oscillations and can be measured by operating the pump diode in modulated mode like in \ref{sec:fluorescence}. The photodiode signal is plotted on the oscilloscope in single-shot mode, because the chaotic turn-on dynamics would average out in triggered mode without showing distinct features. Photographs of the oscillograms are taken for pump diode currents of 250\,mA (slightly above the laser threshold) and 590\,mA. This allows for a good comparison with theory (see \ref{sec:spiking_theory}), since longer spiking and a slower reach of the stationary state is expected for a pump power closer to the laser threshold. 
		
		\paragraph{Transversal Modes}
			The beam profile of the hemispherical resonator can show multiple transversal modes in both dimensions if the resonator is slightly misaligned. By positioning the infrared detector card at a sufficient distance from the cavity (at the end of the optical bench), these modes can be easily distinguished by eye. For various intentional misalignments, which lead to modes of different orders and directions, photographs of the detector card are taken. In order to later extract the beam profile from the photographs by adjusting the dynamic range in post processing, it is taken care (both with camera exposure and pump current) that the images are not saturated. Parallely, the output power of the different modes are compared by moving the power meter head close enough towards the cavity so that higher modes fit on the detector. 
			
	\subsection{Second Harmonic Generation}
		As preparation for second harmonic generation, the outcoupling mirror is replaced by the one with lowest possible transmittance of 0.2\,\% for 1064\,nm (E$_2$). This mirror can be placed in the same mount so that the cavity just needs very slight adjustments, which can be checked while monitoring the (reduced) output power. The KTP crystal is then placed inside the cavity close to the Nd:YAG crystal and can be adjusted in rotation, inclination and translation in both directions while checking for generation of 532\,nm light. Since the eye is most sensitive to green light, this wavelength is very easy to see even for very low powers on the order of 1\,µW, which can be used as initial alignment guideline. For proper optimization, the BG39 filter is placed in front of the power meter head, which shows better SNR for such low powers than the photodiode.
		
		The characterization of the SHG is conducted analogously to the laser characterization in \ref{sec:laser_character}. Starting from 550\,mA the pump current is decreased in steps of 20\,mA, while the diode temperature is adjusted for each current, using the dependency obtained during the laser characterization as orientation. Since the second harmonic power shows strong fluctuations, we wait about one minute for every step and let the power meter register the maximum output while slightly readjusting the setup.
		Due to the nonlinearity of the SHG process, the measurement is stopped when the power gets below the noise level, which is not necessarily the laser threshold. 
		Afterwards, the observed fluctuations are documented by using the photodiode and photographing its oscilloscope trace for pulsed operation.
		
		
\newpage
\section{Experimental Results}
	Note that all error margins (i.e. uncertainty values) stated in this section for parameters obtained by regressions etc.\ correspond to a 95\% confidence interval ($\approx2\sigma$). 
	
	
	\subsection{Pump Laser Diode Characterization}
		\label{sec:diode_charac}
		With the laser diode operated to room temperature ($\approx$ 20.2\,\textdegree C), 	the output power is measured with the calibrated photodiode as a function of the laser diode current, which is set in steps of 20\,mA (Figure \ref{fig:laserdiode_charac}). The injection current can be precisely set, so that the error is estimated to 0.05\,mA, corresponding to half of the last digit of the controller display, whereas the observed weak fluctuations of the photodiode voltage lead to an estimated output power measurement error of 1\,mW.\\		
	
		\begin{figure}[h!]
			\begin{footnotesize}
				\begin{center}
				\includegraphics[width=14cm]{figures/diode_charac.pdf}
					\captionsetup{width=13cm};
					\caption{Current-power characteristics of the laser diode pumping the Nd:YAG laser. Measurement errors (not shown) are in the order of $\pm$\,0.05\,mA and $\pm$1\,mW, respectively. Shaded areas mark confidence intervals of linear regressions.}
				\label{fig:laserdiode_charac}
				\end{center}
			\end{footnotesize}
		\end{figure}
	
		Above the laser threshold, two linear regimes can be identified, one below 290\,mA and one with a less steep slope for higher currents. Linear regressions to the model $P(I)=m\cdot (I-I_0)$ yield
		\begin{align*}
			&\qquad\qquad\qquad\text{for I\,<\,290 mA:}\qquad &m=(1.26\pm0.10)\,\text{W}/\text{A},\quad &I_0=(149\pm 6)\,\text{mA}\qquad\qquad\qquad\\	
			&\qquad\qquad\qquad\text{for I\,>\,290mA:}\qquad &m=(0.84 \pm 0.01)\,\text{W}/\text{A},\quad &I_0=(84\pm3)\,\text{mA}\qquad\qquad\qquad
		\end{align*}
	
		From the first linear fit, the lasing threshold can be determined as $$ I_{th}=(149 \pm 3)\text{\,mA},$$which corresponds well to the observance from manually varying the current around the laser onset. 
		The determined slope efficiencies also allow for calculating the external differential quantum efficiency of the diode $\eta_{\text{q}}$ (emitted photons per electron):
		\begin{align*}
			\eta_{\text{q}}=\frac{N_\text{ph}}{N_\text{e}}=\frac{e}{h\nu}\frac{\d P}{\d I}=\frac{\lambda e}{h c}m \qquad\qquad &\text{for <\,290 mA:} \quad \eta_{\text{q}}=(82\pm6)\% \\
			&\text{for >\,290 mA:}\quad \eta_{\text{q}}=(54\pm1)\%
		\end{align*}
	\subsection{Nd:YAG Crystal Characteristics}
	
		\subsubsection{Absorption Spectrum}
			\label{sec:exp_absorption_spec}
			The transmission through the crystal is measured for the full range of pump laser diode temperatures (from 5\,\textdegree C to 44\,\textdegree C) at the intended operating current of 550 mA (Figure \ref{fig:absorption_550}). Therein, the measurement uncertainty (1\,mW) corresponds to about 0.3\,\% of the maximal transmission. For visual clarity it is not indicated in the plot, as it is not relevant for identification of extrema. Two distinct transmission minima (absorption maxima) can be identified at $(26 \pm 0.5)^{\,\circ}$C  and $(37 \pm 0.3)^{\,\circ}$C; one transmission maximum (absorption minimum) is found at $(43 \pm 0.3)^{\,\circ}$C. 
			
			\begin{floatingfigure}[r]{7.8cm}
			   \begin{footnotesize}
			   		% absorption experimental
				    \vspace{-0.4cm}
				    \captionsetup{width=7cm}
				    \includegraphics[width=8.5cm]{figures/Absorption.pdf}
				    \caption{Transmitted power through the Nd:YAG crystal as function of pump diode temperature. Diode current: 550\,mA.}
				    \label{fig:absorption_550}
				
					% absorption literature
				   \vspace{-0.1cm}
				   \captionsetup{width=7cm}
				    \includegraphics[width=8.1cm]{figures/theo_bg.png}
				    \caption{Absorption spectrum of $^{3+}$ ions in the YAG crystal. Adapted from \cite{absorption_theory}.}
				    \label{fig:absorption_literature}
			   \end{footnotesize}
			 \end{floatingfigure}
			 
			This measurement is compared with the absorption spectrum of Nd$^{3+}$ in YAG from literature (Figure \ref{fig:absorption_literature}), which is dominated by the pump bands.
			The relative absorption cannot be easily compared, since there is an exponential dependency between the absorption coefficient $\alpha$ and the transmission. Moreover, in the measured spectrum the absorption coefficient itself is convolved with other wavelength dependent quantities such as the absorption efficiency or the transmission spectrum of the dielectric mirror. However, the three measured minima and maxima can be identified as corresponding to 804.4\,nm, 808.4\,nm and 810.7\,nm, respectively, as indicated in the figure. In the range of interest, a linear temperature-wavelength dependence of the pump laser diode can be approximately described by
			
			\begin{align*}
				&\lambda(T)= \lambda^* + \alpha \cdot \left(T-37\text{\,\textdegree C}\right) \quad \text{with} \\				
				&\lambda^*=\left(808.4\pm0.1\right)\text{nm,} \quad \alpha=\left(0.37\pm0.02\right)\frac{\text{nm}}{\text{\textdegree C}},
			\end{align*}
			
			where the uncertainty values result from the error of determining the extrema above.\\\\
			The global absorption maximum around 37\,\textdegree C (808.4 nm) will provide the highest conversion efficiency and is thus selected as the initial temperature setpoint of the pump laser diode for the following cavity alignment and first laser operation at this current. 
			\newpage
			\subsubsection{Temperature-Current Dependence}
			Since the emitted wavelength of the pump diode is expected to increase with the injection current (see section \ref{sec:laserdiode}), the absorption measurement is repeated for additional currents of 250\,mA and 400\,mA in order to determine the needed temperature shift to compensate for that. Normalized transmission spectra for the three currents are shown in Figure \ref{fig:absorption_current_dep} for a range around the absorption maxima.\\
			
			
			\begin{figure}[h!]
				\begin{footnotesize}
					\begin{center}
						\includegraphics[width=14cm]{figures/absorption_current_dep.pdf}
						\captionsetup{width=13cm};
						\caption{Transmitted power through the Nd:YAG crystal as a function of pump diode temperature for different diode currents. The uncertainties are as in \ref{sec:exp_absorption_spec}, but not indicated due to the more dominant systematic errors.}
						\label{fig:absorption_current_dep}
					\end{center}
				\end{footnotesize}
			\end{figure}
			
			While the measurement for 250\,mA does not fit to the expected transmission spectrum at all, the other curves give a rough estimate of the spectral shift by regarding the steep increase in tranmission around 42 \textdegree C. From this feature a shift of about -0.5 \textdegree C from 550\,mA to 400\,mA can be deduced, which would correspond to -3.3\,\textdegree C /A. However, also this shift can not be seen consistently in the two curves, so that another method using the Nd:YAG laser will be used to determine the current-temperature dependence (see section \ref{sec:ndyag_charac}, Figure \ref{fig:laser_temp_regression}).
			
		
		\subsubsection{Fluorescence Lifetime}
			While illuminating the Nd:YAG crystal with the pump laser diode modulated at around 122\,Hz, the fluorescence intensity at 1064\,nm is measured with a fast photodiode, whose voltage $U$ is plotted on an oscilloscope triggered by a TTL signal with the modulation frequency (see Figure \ref{fig:osci_lifetime} in the appendix).  At the oscilloscope, the lifetime of the laser level $^4F_{3/2}$ is determined by observing both the decay at the falling edge and the delayed turn-on at the rising edge of the laser diode modulation. The values, which are measured with the oscilloscope cursor, are shown in Figure \ref{fig:lifetime_exp}. The uncertainty values of $\pm$\,2\,mV arise from the noise level of the photodiode, which can be estimated at 4\,mV from the oscilloscope plot (Figure \ref{fig:osci_lifetime}). \\
		
			\begin{figure}[h!]
				\begin{footnotesize}
					\begin{center}
						\includegraphics[width=14cm]{figures/fluorescence.pdf}
						\captionsetup{width=13cm};
						\caption{Photodiode signal of the fluorescent light after switching the pump diode on (green) and off (red, measured twice) with exponential fits (Equation \ref{eq:lifetime_decay}.)}
						\label{fig:lifetime_exp}
					\end{center}
				\end{footnotesize}
			\end{figure}
			
			The dependencies can be well approximated with exponential functions of the form
			\begin{equation}
				U(t)=(U_{\text{af}}-U_{\text{be}})\cdot \exp\left(-\frac{t}{\tau}\right) + U_{\text{af}},
				\label{eq:lifetime_decay}
			\end{equation}
			where $U_{\text{be}}$ and $U_{\text{af}}$ denote the photodiode voltages before and after switching, respectively, and the decay constant $\tau$ represents the lifetime of the laser level. Note that the voltage directly after switching on (off) is not the same as the one directly before switching off (on), due to an overshoot behavior (as seen in Figure \ref{fig:osci_lifetime}), which is likely to be attributed to a saturation of the photodiode or capacitive elements in the circuit.
			With $U_{\text{af}}$ set to the average values measured on the oscilloscope after switching and $U_{\text{be}}$ constrained within the confidence value of the measured value directly before switching, the lifetime $\tau$ is obtained by fitting Equation \ref{eq:lifetime_decay} to the data (Figure \ref{fig:lifetime_exp}):
			$$
				\tau_{\text{on}}=(235\pm8)\, \text{\textmu s} \qquad \qquad \tau_{\text{off}}=(252\pm10)\, \text{\textmu s}.
			$$
			
			
	
	\newpage
	\subsection{Nd:YAG Laser}
		\subsubsection{Current-Power Characteristics}
			\label{sec:ndyag_charac}
			For varying injection currents decreasing from 590\,mA, both the measured output power and the diode temperature, which was optimized for maximal output at each step, are plotted in Figure \ref{fig:laser_charac}. 
			As in section \ref{sec:diode_charac}, the uncertainties of the injection current and the measured output power can be estimated to 0.05\,mA and 1\,mW, respectively. The temperature can be set with an accuracy of 0.05\,\textdegree C, but it is hard to determine the setpoint for maximal output power due to small changes compared to fluctuations. Thus, a rather large uncertainty of 0.5\,\textdegree C for having found the optimal temperature can be assumed.
			\begin{figure}[h!]
				\begin{footnotesize}
					\begin{center}
						\includegraphics[width=14cm]{figures/laser_charac.pdf}
						\captionsetup{width=13cm};
						\caption{Output power of the Nd:YAG laser as a function of pump diode current with respective (optimized) diode temperature setpoints. Measurement errors (not shown) are in the order of $\pm$\,0.05\,mA, $\pm$\,0.05\,\textdegree C and $\pm$1\,mW, respectively. }
						\label{fig:laser_charac}
					\end{center}
				\end{footnotesize}
			\end{figure}
		
			The first non-zero power is measured for a pump current of 210\,mA and a linear regression for low currents below 300\,mA, as shown in red, yields a laser threshold of
			$$
				I_\text{th}=\left(209 \pm 8\right) \text{mA}.
			$$
			The measured characteristic curve cannot be entirely described by a linear dependency, since it shows a slightly superlinear behavior for lower currents, before exhibiting a decreasing slope for currents above 500\,mA. However, a linear regression (plotted in grey) is conducted with all values above the laser threshold, in order to obtain an average (slope) efficiency $\alpha$ of the complete laser. With the emitted wavelength of $\lambda=1064$\,nm, also the external differential quantum efficiency $\eta_{\text{q}}$ (emitted photons per pump electron) of the entire system can be deduced:
			$$
				\alpha=\frac{\d P}{\d I}= \left(0.31 \pm 0.02\right) \frac{\text{W}}{\text{A}} \qquad \qquad \eta_{\text{q}}=\frac{N_\text{ph}}{N_\text{e}}=\frac{e}{h\nu}\frac{\d P}{\d I}=\frac{\lambda e}{h c}\alpha= \left(27\pm2\right)\%
			$$
			To separately analyze the pump-to-power conversion behavior of the Nd:YAG laser itself instead of the entire system, it appears worthwhile to also plot the Nd:YAG output powers against interpolated output powers of the diode pump laser (from section \ref{sec:diode_charac}) for the same current values. However, the two measurements were conducted at different conditions, since the diode was characterized at room temperature instead of around 38\,\textdegree C. Also, further optics (the focussing lens and the first cavity mirror) with unknown transmission for 800\,nm have been introduced in the meantime. Thus, the true pump powers in the Nd:YAG characterization are not known and the conclusions drawn from plotting this dependency would be potentially incorrect.\\
			A rough estimate between the two slope efficiencies (0.31 W/A to 0.84 W/A above 300\,mA) would suggest a slope efficiency of the conversion process of about 37\%. Considering the wavelength difference, that corresponds to a photon-to-photon quantum efficiency of about 49\%. 
			In absolute terms, for a high current of 550\,mA, the ratio between output power and pump power is approximately 25\%. 
			\subsubsection{Temperature-Current Dependence}
			\begin{floatingfigure}[r]{0.5\textwidth}
				\begin{footnotesize}
					\vspace{-0.9cm}
					\hfill
					\begin{minipage}{0.43\textwidth}
						\captionsetup{width=0.9\textwidth}
						\includegraphics[width=1.09\textwidth]{figures/laser_temp_shift.pdf}
						\vspace{-0.6cm}
						\caption{Optimal temperature setpoint as function of diode current with linear fit.}
						\label{fig:laser_temp_regression}
					\end{minipage}
				\vspace{0.7cm}
				\end{footnotesize}
			\end{floatingfigure}
		
			The optimized temperature setpoints $T^*$ are also used for determining the current-temperature dependency corresponding to a constant pump wavelength in a second way. A linear regression of the form $T^*(I)=\alpha I + T^*_0 $, excluding the values with (almost) no output power, as shown in Figure \ref{fig:laser_temp_regression} yields a shift of
			$$
				\alpha=\frac{\d T^*}{\d I}=\left(- 5.5 \pm 1.5\right)\frac{\text{\textdegree C}}{\text{A}}.
			$$
		
		\subsubsection{Spectral Pump Efficiency}
			By varying the diode temperature -- and thus the pump wavelength -- for a fixed current of 550\,mA, the absorption spectrum of the crystal obtained in section \ref{sec:exp_absorption_spec} should be reproduced, as it determines the pump efficiency. As shown in Figure \ref{fig:laser_temp_dep}, two output power (absorption) maxima can be identified at $(27\pm1)$\,\textdegree C and $(38\pm0.3)$\,\textdegree C; one minimum is found at $(44\pm0.3)$\,\textdegree C.
			\begin{figure}[h!]
				\begin{footnotesize}
					\begin{center}
						\includegraphics[width=14cm]{figures/laser_temp_dep.pdf}
						\captionsetup{width=13cm};
						\caption{Output power of the Nd:YAG laser as a function of pump diode temperature. Diode current 550\,mA. Indicated extrema correspond to absorption extrema as in \ref{sec:exp_absorption_spec}.}
						\label{fig:laser_temp_dep}
						\vspace{-1cm}
					\end{center}
				\end{footnotesize}
			\end{figure}
		
		\subsubsection{Spiking Behavior}
			The measured transient turn-on dynamics of the Nd:YAG laser is shown in Figure \ref{fig:spiking_meas} for pump diode currents of 250\,mA and 590\,mA, which corresponds to about 1.17 $I_{\text{th}}$ and 2.76 $I_{\text{th}}$, respectively, with $I_0$ being the laser threshold. In these plots, which are extracted from oscilloscope photographs (Figure \ref{fig:osci_spike}), the different scale of the temporal axis should be noted as well as a 5 times higher pre-amplification for the measurement at lower pump current.\\
			
			 \begin{figure}[h!]
			 	\hfill
			 	\begin{minipage}{0.48\textwidth}	
			 		%\psfragfig*[width=0.48\textwidth]{graphics/QH_inv_osc}
			 		\includegraphics[width=0.99\textwidth]{figures/spiking_lowcurrent_1.png}		
			 	\end{minipage}
				\begin{minipage}{0.48\textwidth}
					%\psfragfig*[width=0.48\textwidth]{graphics/QH_spec_fourier}
					\includegraphics[width=0.99\textwidth]{figures/spiking_highcurrent.png}
				\end{minipage}
				\hfill
				\caption{Time dependent photodiode voltage  for a pump diode current of 250mA slightly above the laser threshold (left) and for a higher current of 590 mA (right). The signal amplification is 5 times higher on the left. Note the different scaling of the temporal axes. The curves are extracted from oscilloscope images (\ref{fig:osci_spike})}
				\label{fig:spiking_meas}
			 \end{figure}
		 
		 	In both measurements, relaxation oscillations are well visible before a stable output power is reached. While an exact quantification of the decay times of the relaxation oscillations seems not possible with these data, the times for approaching the stationary solutions can be estimated to about 500\,µs for the lower pump current and 60\,µs for the higher pump current. However, no single spikes with a return to zero output power can be seen (as expected from \ref{sec:spiking_theory} for very low pump power), since also the lower pump current has been set too high above the laser threshold. 
		 	
		 
		 \subsubsection{Transversal Modes}
			 For slight intentional misalignments of the cavity, multiple (transversal) lasing modes start to appear. In Figure \ref{fig:modes}, photographs of the detector card are shown for different exemplary modes. The dynamic range of these images has been adjusted from the originals (see Figure \ref{fig:mode_original} for an example) to enhance the contrast and mode visibility without any further post processing.\\
		 
		 	% MODE FIGURE
		 	\begin{figure}[h!]
		 	\begin{footnotesize}
		 	\begin{minipage}{\textwidth}\hspace{0.07\textwidth}
		 		\begin{minipage}{0.25\textwidth}
		 			\setlength{\unitlength}{\textwidth}	
		 			\begin{picture}(1,1)
			 			\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_1.png}}
			 			\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{00}$}}}}	
		 			\end{picture}
		 		\end{minipage}
		 		\hfill	
		 		\begin{minipage}{0.25\textwidth}
		 			\setlength{\unitlength}{\textwidth}	
		 			\begin{picture}(1,1)
		 				\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_2_h.png}}
		 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{10}$}}}}	
		 			\end{picture}		
		 			
		 		\end{minipage}	
		 		\hfill
		 		\begin{minipage}{0.25\textwidth}
		 			\setlength{\unitlength}{\textwidth}	
		 			\begin{picture}(1,1)
		 				\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_2_v.png}}
		 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{01}$}}}}	
		 			\end{picture}		
		 			
		 		\end{minipage}	
		 		\hspace{0.07\textwidth}
		 	\end{minipage}
		 	
		 	\vspace{0.04\textwidth}
		 	
		 	\begin{minipage}{\textwidth}
		 		\hspace{0.07\textwidth}
		 		\begin{minipage}{0.25\textwidth}	
		 			\setlength{\unitlength}{\textwidth}	
		 			\begin{picture}(1,1)
		 				\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_4_h.png}}
		 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{30}$}}}}	
		 			\end{picture}		
		 			
		 		\end{minipage}
		 		\hfill	
		 		\begin{minipage}{0.25\textwidth}
		 			\setlength{\unitlength}{\textwidth}	
		 			\begin{picture}(1,1)
			 			\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_4_v.png}}
		 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{03}$}}}}	
		 			\end{picture}		
		 		\end{minipage}	
		 		\hfill
		 		\begin{minipage}{0.25\textwidth}
		 			\setlength{\unitlength}{\textwidth}	
		 			\begin{picture}(1,1)
			 			\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_4_b.png}}
			 			\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{(TEM$_{31}$)}}}}	
		 			\end{picture}		
		 			
		 		\end{minipage}	
		 		\hspace{0.07\textwidth}
		 		
		 	\end{minipage}
		 	\captionsetup{singlelinecheck=false,width=0.84\textwidth}
		 	\caption{Modes of the Nd:YAG laser for different cavity (mis)alignments, photographed on infrared detector card. The dynamic range is adjusted from originals (see Figure \ref{fig:mode_original}) for enhanced contrast. }
		 	\label{fig:modes}		
		 \end{footnotesize}
		 \end{figure}
		 
			 Apart from the TEM$_{00}$ mode, which shows a slight elliptic but nearly rotation symmetric profile, the doublet modes TEM$_{10}$ and TEM$_{01}$ and the quadruplet modes TEM$_{30}$ and TEM$_{03}$ can be identified in horizontal and vertical direction, respectively. The last -- not clearly distinguishable -- mode appears to be at the edge of a TEM$_{31}$ mode.\\
			 In the process of aligning the cavity to maximal output power and a clear TEM$_{00}$ mode at the same time, it is observed that multi mode operation (here TEM$_{10}$, which is still covered by the power meter head) yields a slightly higher total power, which is consistent with the fact that the used active volume of the Nd:YAG crystal is larger than in the ground mode. 
			 
	\subsection{Second Harmonic Generation}
		With the frequency doubling setup, whose 532\,nm light is brightly visible by eye during adjustments, the output power is measured for decreasing values starting at 550\,mA (Figure \ref{fig:shg_charac}). Due to strong observed fluctuations, the reading was very unstable and the current-dependent adjustment to the optimal temperature was difficult. While always taking the maximally observed power for each current, the resulting measurement uncertainty was estimated at 10\% of each value.
		
		\begin{figure}[h!]
			\begin{footnotesize}
				\begin{center}
					\includegraphics[width=14cm]{figures/shg_charac.pdf}
					\captionsetup{width=13cm};
					\caption{Second harmonic output power as a function of the pump diode current with quadratic fit (black circles only) to obtain the laser threshold. Shaded areas are confidence intervals.}
					\label{fig:shg_charac}
				\end{center}
			\vspace{-1cm}
			\end{footnotesize}
		\end{figure}
	
		In order to determine the lasing threshold $I_{\text{th},2}$ for intracavity second harmonic generation, a nonlinear regression to a quadratic function of the form $P_{\text{SHG}}=a\cdot(I-I_{\text{th},2})^2$ is performed for currents of up to 470\,mA. The four higher values were disregarded as they do not match a quadratic dependency, probably due to a systematic measurement error discussed later. The regression yields the parameters
		$$
			a=(2.0\pm0.4)\cdot 10^{-5} \,\,\,\text{W}/\text{A}^2 \quad\qquad I_{\text{th},2}= (209\pm22)\,\text{mA}.
		$$
		The corresponding confidence intervals for both the dependency and the threshold value are indicated in Figure \ref{fig:shg_charac} as shaded areas.
		
		The output instability is further observed with the photodiode while using the modulated mode of the pump diode. From the extracted oscilloscope traces (Figure \ref{fig:shg_fluc}) it can be seen that the output fluctuations are much stronger than the noise level (left). A zoom with higher temporal resolution (right) shows that the power regularly even decreases to zero, which is averaged out in the overview picture.  
		
		\begin{figure}[h!]
			\begin{footnotesize}
				\hfill
				\begin{minipage}{0.48\textwidth}	
					%\psfragfig*[width=0.48\textwidth]{graphics/QH_inv_osc}
					\includegraphics[width=0.99\textwidth]{figures/shg_fluc_total_curve.png}		
				\end{minipage}
				\begin{minipage}{0.48\textwidth}
					%\psfragfig*[width=0.48\textwidth]{graphics/QH_spec_fourier}
					\includegraphics[width=0.99\textwidth]{figures/shg_fluc_zoom_curve.png}
				\end{minipage}
				\hfill
				\captionsetup{width=0.95\textwidth}
				\caption{Instability of the second harmonic output power (photodiode signal), measured for a modulated pump diode. Comparison of on- and off-state (left) and zoom into fluctuation peaks (right) with higher temporal resolution, revealing drops to zero output power. Diode current: 550\,mA. The curves are extracted from oscilloscope images (\ref{fig:shg_orig}).}
				\label{fig:shg_fluc}
			\end{footnotesize}
		\end{figure}
	\newpage
\section{Discussion}
	\subsection{Pump Laser Diode Characterization}
		The current-power characteristics of the laser diode above the laser threshold can be well described by the linear regressions, which fits to the theoretical expectations. Also the quite sudden change of slope between two regimes, with the latter showing a smaller slope, is also well known for laser diodes and is often described as a ``kink'' \cite{Meschede2008}. Such a ``kink'' hints to a change of the mode profile, for example because the geometrical carrier profile in the heterostructure prefers another spatial mode for higher currents. 
		The calculated quantum efficiencies for both regimes (82\% and 54\%, repectively) seem quite high and at the upper limit expected for a laser diode, but cannot be compared to literature values, as the exact type of the used laser diode is unknown. \\It proved very useful to use the calibrated power meter head instead of the photo diode in order to obtain the absolute output power and thus an estimate for this efficiency as well as for the later determined conversion efficiencies. However, the measured dependency cannot be used for obtaining a pump-power to output-power characteristics of the Nd:YAG laser, since it was carried out at room temperature instead of around 38\,\textdegree C, at which the diode is operated later. To measure such a dependency correctly, the laser diode output would have to be measured together with every current step in the Nd:YAG characterization, e.g. by placing the power meter temporarily in front of the crystal. 
		
	\subsection{Absorption Spectra / Spectral Pump efficiency}
		In the temperature dependent absorption profile of the Nd:YAG crystal, the relevant extrema can be well identified and the used step size resolution seems sufficient. Around the extrema, the temperature-wavelength dependency appears to be linear as expected from theory, and the obtained shift of 0.37\,nm/\textdegree C is on the order of the generic literature value of 0.25-0.3\,nm/\textdegree C for laser diodes (see section \ref{sec:laserdiode}).
		To also quantitatively compare the measured spectrum with the literature profiles for the absorption coefficient, the thickness of the crystal, and a reference transmission without the crystal would have to be measured. However, that would go beyond the scope ot this experiment, since only the temperature setpoints of the absorption extrema and not the actual height of these extrema are needed. \\
		The absorption spectrum is well reproduced by the temperature dependent output of the Nd:YAG laser (at the same diode current) as expected. The extrema are shifted by 1\,\textdegree C, but that difference is well within the order of the measurement uncertainty. 		
		
	\subsection{Temperature-Current Dependence of the Photodiode}
		In the measurement of the absorption spectrum for varied currents, a strong systematic measurement error must be assumed. The two curves of 400\,mA and 550\,mA give an estimate for the current induced spectral shift by using one feature, but are -- even though normalized using by the ratio from the current-power characterization -- not consistently shifted. Moreover, the 250\,mA curve does not display the expected extrema at all. This systematic error could for example originate in too short temperature settling times, which would have a large effect when switching from  45\,\textdegree C at 400\,mA to 36\,\textdegree C at 250\,mA. Moreover, the possibility of a misalignment during this measurement, where the crystal was not in the focus, cannot be ruled out. A larger temperature range would also have made sense in order to observe more characteristic features and their potential shift.
		
		A much better method for determining the temperature-current dependence was found by using the optimized temperatures for each current of the Nd:YAG laser characterization. Even though the uncertainty in determining each optimum was rather high, in average a consistent linear tendency was observed and the determined shift of $-5.5$\,\textdegree C /A could be used well for the SHG measurements.
		
	\subsection{Fluorescence Lifetime}
		The decay of the fluorescence could be well approximated with exponential functions. The obtained lifetimes of the upper laser level of 235\,µs for turning on the pump and 252\,µs for turning it off, only differ about 2\% and 5\%, respectively, from the literature value of 240\,µs for the $^4F_{3/2}$ level (see section \ref{sec:ndyag_theory}, \cite{Meschede2008}), which lies between the two measured values and within the uncertainty intervals of both measurements. For future experiments, the data aggregation from the digital oscilloscope would be improvable by using a device with an export function instead of manually measureing value pairs with the cursor function.
	
	\subsection{Nd:YAG Laser Current-Power Characteristics}
		While the dependency of the output power from the pump injection current could in average be reasonably well approximated by a linear regression, a superlinear tendency is observed. Apart from the possibility that the Nd:YAG crystal just does not represent a perfectly ideal four-level-system, another possible reason is that the measurement was conducted from high to low currents. Since the cavity was aligned for the maximal pump power, the alignment could have become worse with decreasing pump powers due to thermal effects. However, the observed behavior is preferable to an opposite one with limited maximal output power.		
		Interestingly, the ``kink'' from the laser diode characteristics is not inherited here. This could imply that the corresponding change of modes in the diode laser did only occur at room temperature, where the diode was characterized, and does not play a role for the temperature, at which it is operated here. Alternatively, it is possible that the change of mode still occurs, but that the lower power of that mode is compensated by a better coupling efficiency in the Nd:YAG crystal. \\
		In quantitative terms, the optical-optical differential quantum efficiency of about 50\% is reached, which contributes to a differential electrical-to-optical quantum efficiency of the whole system of 27\%. That appears to be very high, especially considering that not only the pump-absorption efficiency and the quantum efficiency of the gain medium, but also the losses at the outcoupling mirror and at the RG filter are incorporated in that value. As there is usually a trade-off between a high slope efficiency and low threshold power \cite{rp_photonics}, as well as a dependency of these values on a desired maximal output power, literature comparisons to other Nd:YAG setups are not meaningful. This could be done if all optical elements were characterized, the laser diode type would be known, etc., which goes beyond the scope of this experiment. 
	\subsection{Spiking Behavior and Transversal Modes}
		The relaxation oscillations before the start of stationary lasing decay much faster for the higher pump current, as expected from theory. However, while in \ref{sec:spiking_theory} a linear dependency between pump power and decay rate is predicted, the measured decay time increases by a factor of about 8 for an only 2.3 times higher pump current. This can be explained by the fact that the approximations of the theoretical linearization approach do not hold for small pump powers close to the threshold, as simulations similar to \ref{fig:spiking_simu} show. It is also not clear, if the first spikes for the lower current return to zero output power, since the time resolution of the oscilloscope was not chosen high enough. In order to observe the shape of single spikes, zooming in and thus increasing time resolution would have been useful. In order to generate single spikes with a return to zero output power, a lower pump current closer to the threshold would have to be set. In order to see single pulses without the start of continuous lasing action, a current just below the laser threshold would be needed. 
		
		The transversal modes, which could be well extracted from photographs of the IR viewing card, are well distinguishable and also the fact that multi-mode operation slightly increases output power is in line with the theoretical expectations. It is noted that intensity maxima were only observed in powers of two -- the main maximum splits into two maxima (e.g. TEM$_{10}$), which then each split again to show four maxima (e.g. TEM$_{30}$), when further misaligned. It would need further investigation to determine whether the absence of modes such as TEM$_{20}$ are inherent to this resonator setup or if they could be achieved by a different way of alignment. 
		
				
	\subsection{Second Harmonic Generation}
		The current-output characteristics of the Second Harmonic Generation can be well described by a quadratic dependency for the most part. The fact that the values for currents over 470\,mA lie higher than expected can -- as for the Nd:YAG characterization -- be attributed to starting from the top with decreasingly good alignment and temperature adjustment.\\
		Interestingly, the threshold of ($209\pm22$\,mA) for lasing with intracavity SHG appears to be the same as for normal lasing at 1064\,nm. This indicates that (at least for low second harmonic conversion) the additional losses of the 1064\,nm in the KTP crystal, which would imply a higher laser threshold, are compensated by the more reflective cavity mirror.\\
		Due to the nonlinearity of the SHG process, higher fluctuations due to perturbations such as mechanical vibrations are expected, but these can not explain the observed high amplitude fluctuations at a fast timescale of about $10$\,µs, which include drops to zero output power. Instead, this phenomenon is well known as the ``green problem'', as it was first observed for this particular kind of laser \cite{baer_large-amplitude_1986}. It originates from mode competition, when lasing is achieved for several longitudinal modes and inside the KTP crystal not only second harmonic generation but also sum-frequency generation occurs, coupling the different longitudinal modes. The effect can be eliminated by different laser designs, for example with a relatively long resonator (increasing the number of oscillating resonator modes) or with stable single-frequency operation \cite{rp_photonics}.
		 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%LITERATURVERZEICHNIS%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage 
\setcounter{section}{0}
\renewcommand{\thesection}{\Alph{section}}%\\

\addtocontents{toc}{\setcounter{tocdepth}{1}}
\setcounter{table}{0}
\setcounter{equation}{0}
%\setcounter{figure}{0}
\printbibliography
\newpage
\section{Appendix}

	
	\begin{figure}[h!]
	 	\begin{minipage}{0.46\textwidth}	
	 		%\psfragfig*[width=0.48\textwidth]{graphics/QH_inv_osc}
	 		\includegraphics[width=0.99\textwidth]{figures/osci_lifetime.png}	
	 			
	 		\captionsetup{singlelinecheck=false,width=\textwidth}
	 		\caption{Oscilloscope image of the Nd:YAG laser level lifetime measurement 	(zoomed out) with a 	modulated laser diode. The photodiode signal (yellow) represents the intensity of fluorescent 1064\,nm light from the crystal and is triggered by the modulation TTL signal of the diode controller (blue). The noise level can be estimated as $\approx\,4$ mV.}
	 		\label{fig:osci_lifetime}	
	 	\end{minipage}
	 	\hfill	
		\begin{minipage}{0.46\textwidth}
			%\psfragfig*[width=0.48\textwidth]{graphics/QH_spec_fourier}
			%\includegraphics[width=0.99\textwidth]{figures/osci_lifetime.png}
		\end{minipage}		
	\end{figure}

	\begin{figure}[h!]
		\begin{minipage}{0.46\textwidth}	
			\includegraphics[width=0.99\textwidth]{figures/osci_spike_low.png}		
	
		\end{minipage}
		\hfill	
		\begin{minipage}{0.46\textwidth}
		\includegraphics[width=0.99\textwidth]{figures/osci_spike_high.png}		
			
		\end{minipage}	
		\captionsetup{singlelinecheck=false,width=\textwidth}
		\caption{Original scilloscope images of spiking behavior. The time dependent photodiode voltage is measured for a pump diode current of 250mA slightly above the laser threshold (left) and for a higher current of 590 mA (right). The signal amplification is 5 times higher on the left. The images are not taken in `triggered mode' but for `stopped acquisition'. Note the different scaling of the temporal axes. }
		\label{fig:osci_spike}		
	\end{figure}


	\begin{figure}[h!t]
			\begin{flushleft}
			\begin{footnotesize}
				\begin{minipage}{0.65\textwidth}
				\includegraphics[width=\textwidth]{figures/mode_10_orig.jpg}
				\captionsetup{width=\textwidth}
				\caption{Exemplary photograph of the infrared detector card for visualizing different modes (here: TEM$_{10}$). The pictures in Figure \ref{fig:modes} are generated from these photographs by adjusting the dynamic without any further post processing.}
				\label{fig:mode_original}
			\end{minipage}\hfill
			\end{footnotesize}
		\end{flushleft}
	\end{figure}

	\begin{figure}[h!]
		
		
	\begin{minipage}{0.46\textwidth}	
		\includegraphics[width=0.99\textwidth]{figures/shg_fluc_orig_overview.jpg}		
		
	\end{minipage}
	\hfill	
	\begin{minipage}{0.46\textwidth}
		\includegraphics[width=0.99\textwidth]{figures/shg_fluc_orig_zoom.jpg}		
		
	\end{minipage}	
	\captionsetup{singlelinecheck=false,width=\textwidth}
	\caption{Original oscilloscope pictures of the instability of the second harmonic generation with modulated pump diode. Overview over whole modulation cycle (left) and zoom onto peaks (right). Plots in \ref{fig:shg_fluc} are extracted from these images.}
	\label{fig:shg_orig}		
	\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%DOKUMENTENDE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\end{document} 
